View Issue Details

IDProjectCategoryView StatusLast Update
0001487NoesisGUIC++ SDKpublic2019-07-08 20:08
ReporterrealesmediaAssigned Tosfernandez 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.2 
Target Version2.2.4Fixed in Version2.2.4 
Summary0001487: MouseDragElementBehavior does not work if the parent element has TranslateZoomRotateBehavior, MouseDragElementBehavior, etc.
Descriptionin this case, the MouseDragElementBehavior immediately loses the mouse, because

e.handled = true

is not set in the OnMouseLeftButtonDown handle.
Steps To Reproduce  <Grid Margin="1">
    <Canvas Background="Orange" Width="Fill">
    <i:Interaction.Behaviors>
        <ei:TranslateZoomRotateBehavior SupportedGestures="All" MinimumScale="0.51"/>
    </i:Interaction.Behaviors>

    <Border Width="100" Height="150" Background="Green">
      <i:Interaction.Behaviors>
        <ei:MouseDragElementBehavior ConstraintToParentBounds="False" />
      </i:Interaction.Behaviors>
    </Border>
    
    <Border Width="100" Height="150" Background="Blue" Margin="100,0,0,0"/>
    </Canvas>
  </Grid>
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-06-11 10:37 realesmedia New Issue
2019-06-11 10:39 realesmedia Description Updated View Revisions
2019-06-11 10:39 realesmedia Steps to Reproduce Updated View Revisions
2019-06-12 10:50 sfernandez Assigned To => sfernandez
2019-06-12 10:50 sfernandez Status new => assigned
2019-06-12 10:50 sfernandez Target Version => 2.3.0
2019-06-18 17:02 sfernandez Target Version 2.3.0 => 2.2.4
2019-07-08 20:08 sfernandez Status assigned => resolved
2019-07-08 20:08 sfernandez Resolution open => fixed
2019-07-08 20:08 sfernandez Fixed in Version => 2.2.4